### Enumeration

# Ggit ConfigLevel

#### Declaration

    enum Ggit.ConfigLevel

#### Description [src]

Priority level of a config file. These priority levels correspond to the natural escalation logic (from higher to lower) when searching for config entries in git.git.

#### Members

Name | Description
--- | ---
`GGIT_CONFIG_LEVEL_PROGRAMDATA` | System-wide on Windows, for compatibility with portable git.
`GGIT_CONFIG_LEVEL_SYSTEM` | System-wide configuration file.
`GGIT_CONFIG_LEVEL_XDG` | XDG compatible configuration file (.config/git/config).
`GGIT_CONFIG_LEVEL_GLOBAL` | User-specific configuration file, also called Global configuration file.
`GGIT_CONFIG_LEVEL_LOCAL` | Repository specific configuration file.
`GGIT_CONFIG_LEVEL_WORKTREE` | No description available.
`GGIT_CONFIG_LEVEL_APP` | Application specific configuration file; freely defined by applications.
`GGIT_CONFIG_LEVEL_HIGHEST` | Represents the highest level of a config file.